---
apiVersion: v1
kind: Secret
metadata:
  name: {{ capi_cluster }}-cloud-config
  namespace: {{ capi_kube_namespace }}
  labels:
    capi.skao.int/cluster: {{ capi_cluster }}
    capi.skao.int/component: cloud-credentials
    clusterctl.cluster.x-k8s.io/move: "true"
data:
  cacert: {{ capi_capo_cacert_b64 }}
  clouds.yaml: {{ capi_capo_openstack_cloud_yaml_b64 }}
---
apiVersion: infrastructure.cluster.x-k8s.io/v1beta1
kind: OpenStackCluster
metadata:
  name: {{ capi_cluster }} # SPEC HASH SUFFIX ADDED DURING RENDERING
  namespace: {{ capi_kube_namespace }}
  labels:
    capi.skao.int/cluster: {{ capi_cluster }}
    capi.skao.int/component: cluster
spec:
  identityRef:
    name: {{ capi_cluster }}-cloud-config
    cloudName: {{ capi_capo_openstack_cloud }}
{% if capi_capo_openstack_enable_apiserver_lb %}
  apiServerLoadBalancer:
    enabled: {{ capi_capo_openstack_enable_apiserver_lb | lower }}
{% endif %}
  bastion:
    enabled: false
  controlPlaneAvailabilityZones: {{ [capi_capo_openstack_failure_domain] | flatten | to_json }}
{% if not capi_capo_openstack_enable_apiserver_lb %}
  controlPlaneEndpoint:
    host: {{ capi_capo_openstack_ext_apiserver_ip }}
    port: {{ capi_capo_openstack_ext_apiserver_port }}
{% endif %}
  disableAPIServerFloatingIP: {{ (not capi_capo_openstack_enable_apiserver_floating_ip) | lower }}
  network:
    filter:
      name: {{ capi_capo_openstack_network_name }}
  subnets:
  - filter:
      name: {{ capi_capo_openstack_subnet_name }}
  externalNetwork:
    id: {{ capi_capo_openstack_external_network_id }}
{% if capi_capo_openstack_managed_security_groups_enabled %}
  managedSecurityGroups: {{ capi_capo_openstack_managed_security_groups }}
{% endif %}
---
apiVersion: cluster.x-k8s.io/v1beta1
kind: Cluster
metadata:
  name: {{ capi_cluster }}
  namespace: {{ capi_kube_namespace }}
  labels:
    capi.skao.int/cluster: {{ capi_cluster }}
    capi.skao.int/component: cluster
spec:
  clusterNetwork:
    pods:
      cidrBlocks: {{ [capi_cidr_block] | flatten | to_json }}
    serviceDomain: {{ capi_service_domain }}
  controlPlaneRef:
    apiVersion: controlplane.cluster.x-k8s.io/v1beta1
    kind: KubeadmControlPlane
    name: {{ capi_cluster }}-control-plane
  infrastructureRef:
    apiVersion: infrastructure.cluster.x-k8s.io/v1beta1
    kind: OpenStackCluster
    name: {{ capi_cluster }} # SPEC HASH SUFFIX ADDED DURING RENDERING
---
